Bug 198090 - NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewController.printInstance
NullPointerException at org.netbeans.modules.profiler.heapwalk.OverviewContro...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Hurka
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 15:09 UTC by Martin Entlicher
Modified: 2011-05-06 05:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (618 bytes, text/plain)
2011-04-26 15:09 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2011-04-26 15:09:50 UTC
Build: NetBeans IDE 7.0 RC1 (Build 201103280000)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux

User Comments:
mentlicher: Trying to display threads.

rkubacki: Just loaded a heap dump and clicked on 'Show threads'. Maybe the NPE was thrown even sooner.

GUEST: heap dumpa analysis, clicked on 'Show Thread'




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.profiler.heapwalk.OverviewController.printInstance(OverviewController.java:589)
   at org.netbeans.modules.profiler.heapwalk.OverviewController.getStackTrace(OverviewController.java:520)
   at org.netbeans.modules.profiler.heapwalk.OverviewController.computeThreads(OverviewController.java:324)
   at org.netbeans.modules.profiler.heapwalk.ui.OverviewControllerUI$1.run(OverviewControllerUI.java:142)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Martin Entlicher 2011-04-26 15:09:55 UTC
Created attachment 107947 [details]
stacktrace
Comment 2 Tomas Hurka 2011-04-26 16:55:44 UTC
Can you please attach or point me to the heap dump, which can be used to reproduce this issue. Thanks.
Comment 3 Martin Entlicher 2011-04-27 09:38:43 UTC
I can reproduce it with
http://dl.dropbox.com/u/4422938/heap.bin
and
http://dl.dropbox.com/u/4422938/nbsluggish2/heap.bin
Comment 4 Tomas Hurka 2011-04-27 13:37:36 UTC
Thanks for the heap dump.
Comment 5 Tomas Hurka 2011-04-27 13:39:21 UTC
Fixed in profiler-main.

changeset:   192946:5067f505b3be
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Apr 27 15:36:09 2011 +0200
summary:     bugfix #198090, improve test for java class
Comment 6 Quality Engineering 2011-05-06 05:08:34 UTC
Integrated into 'main-golden', will be available in build *201105060000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5067f505b3be
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #198090, improve test for java class


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo